/* ----------------------------------------------------------------------------
 *  codingSpace18					
 * ----------------------------------------------------------------------------
 *  GUI - Slider
 * ----------------------------------------------------------------------------
 *  prog: eddi.lecesne@zhdk.ch
 *  13.11.2010
 * ----------------------------------------------------------------------------
 */

class Button
{
  int x;
  int y;
  int w;
  int h;
  String txt;



  Button(int x,int y, int w, int h, String txt)
  {   
    this.x = x;
    this.y = y;
    this.w = w;
    this.h = h;
    this.txt = txt;
  }

  boolean isHit(int x,int y)
  {
    if(x > this.x && x < this.x+this.w && y > this.y  && y < this.y+this.h) {
      return true;     
    }
    else {
      return false;
    }
  }

  void draw()
  {
    pushStyle();
    drawButton();
    popStyle();
  } 

  void drawButton()
  {
    fill(200, 200, 200);
    stroke(200, 50, 10);
    rect(x, y, w, h);
    fill(255, 255, 255);
    noStroke();
    rect(this.x+2, this.y+2, this.w-4, this.h-4);
    fill(200, 50, 10);
    text(this.txt, this.x+7, this.y, this.w, this.h);
  }
  void mouseOver(int x, int  y) {
    if(isHit(x,y)) {
      pushStyle();
      noFill();
      strokeWeight(2);
      stroke(255, 0, 0,255);
      rect(this.x-1, this.y-1, this.w+3, this.h+3);
      //text(this.txt, this.x+7, this.y, this.w, this.h);
      popStyle();
    }
  }
   void mousePress(int x, int y) {
    if(isHit(x,y)) {
      pushStyle();
      noFill();
      rect(this.x-2, this.y-2, this.w+4, this.h+4);
      stroke(255);
      text(this.txt, this.x+7, this.y, this.w, this.h);
      popStyle();
    }
  }
}

