class Arrow {

  int direction;

  PVector p1;  //triangle p1
  PVector p2;  //triangle p2
  PVector p3;  //triangle p3


    Arrow(float point1x,float point1y,float point2x,float point2y,float point3x,float point3y, int direction ) {

    this.direction = direction;

    this.p1 = new PVector(point1x, point1y);
    this.p2 = new PVector(point2x, point2y);
    this.p3 = new PVector(point3x, point3y);
  }
  void drawArrow() {
    triangle(p1.x, p1.y, p2.x, p2.y, p3.x, p3.y);
  }
  boolean isHit(float x,float y)
  {
    float tArea,t1Area,t2Area,t3Area;
    tArea  = arrowArea(p1.x, p1.y, p3.x, p3.y, p2.x, p2.y);
    t1Area = arrowArea(x,y, p2.x, p2.y, p3.x, p3.y);
    t2Area = arrowArea(x,y, p3.x, p3.y, p1.x, p1.y);
    t3Area = arrowArea(x,y, p2.x, p2.y, p1.x, p1.y);
    //noStroke();
    //fill(#ff6600,50);
    //triangle(p1.x, p1.y, p3.x, p3.y, p2.x, p2.y);
    //fill(#ffff00,50);
    float totalArea = t1Area+t2Area+t3Area;
    println((totalArea == tArea));
    return (totalArea == tArea);
  }
  float arrowArea(float p1, float p2, float p3, float p4, float p5, float p6) {
    float a,b,c,d;
    a = p1 - p5;
    b = p2 - p6;
    c = p3 - p5;
    d = p4 - p6;
    return (0.5* abs((a*d)-(b*c)));
  }
  void mousePos(int x, int y){
    if(isHit(x, y)){
        
      fill(255);
    }
    else
      noFill();
  }
  void setup(){
    noFill();
  }

  void draw()
  {    
    pushStyle();
    stroke(255);
    drawArrow();
     popStyle();
  }
  
}

