/* ----------------------------------------------------------------------------
 *  codingSpace18					
 * ----------------------------------------------------------------------------
 *  GUI - Slider
 * ----------------------------------------------------------------------------
 *  prog: eddi.lecesne@zhdk.ch
 *  13.11.2010
 * ----------------------------------------------------------------------------
 */

class Field
{
  int x;
  int y;
  int dimX;
  int dimY;
  int dim;
  int id;
  boolean pressed;



  Field(int x,int y,int dim, int id)
  {   
    this.x = x;
    this.y = y;
    this.dim = dim;
    this.dimX = x+dim;
    this.dimY = y+dim;
    this.id = id;
    this.pressed = false;
  }
  int getId(){
      return id;
  }
  void setPressed(boolean state){
    this.pressed = state;
  }

  boolean isHit(int x,int y)
  {
    if(x > this.x && x < dimX && y > this.y  && y < dimY) {
      return true;
    }
    else {
      return false;
    }
  }

  void draw()
  {
    pushStyle();

    if(pressed){
      float al=100;
      al-= (millis()%1000/10.0);      
      stroke(255, 0, 0,al);
      rect(this.x, this.y, dim, dim);
    }
    else
       drawField();
    popStyle();
  } 

  void drawField()
  {
    noFill();
    noStroke();
     rect(x, y, dim, dim);
   }
  void mouseOver(int x, int  y) {
    if(isHit(x,y)) {
      strokeWeight(2);
      stroke(255, 0, 0,180);
      noFill();
      rect(this.x, this.y, dim, dim);
    }
  }
  int mousePress( int x, int y){
    if(isHit(x,y)){
      
      setPressed(true);
      return id;
    }
    return 9;
  }
}
